Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class SequenceIterationStatus

    java.lang.Object
      org.richfaces.component.SequenceIterationStatus

All Implemented Interfaces:
  Serializable

    public final class SequenceIterationStatus

extends Object
implements Serializable

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`SequenceIterationStatus(Integer begin, Integer end, int index, Integer rowCount)`

Method Summary
`Integer` | `getBegin()`
`int` | `getCount()`
`Object` | `getCurrent()`
`Integer` | `getEnd()`
`int` | `getIndex()`
`Integer` | `getRowCount()`
`Integer` | `getStep()`
`boolean` | `isEven()`
`boolean` | `isFirst()`
`boolean` | `isLast()`
`boolean` | `isOdd()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SequenceIterationStatus

    public SequenceIterationStatus(Integer begin,
                                   Integer end,
                                   int index,
                                   Integer rowCount)

Method Detail

### getBegin

    public Integer getBegin()

### getCount

    public int getCount()

### getCurrent

    public Object getCurrent()

### getEnd

    public Integer getEnd()

### getIndex

    public int getIndex()

### getStep

    public Integer getStep()

### isFirst

    public boolean isFirst()

### isLast

    public boolean isLast()

### getRowCount

    public Integer getRowCount()

### isEven

    public boolean isEven()

### isOdd

    public boolean isOdd()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.